diff -uN -r --exclude=Makefile --exclude='*.exe' --exclude='*.o' --exclude='*.a' --exclude='*.Plo' --exclude='*~' --exclude='*.org' --exclude='*.orig' --exclude='*.bak' --exclude='*.rej' --exclude=config.cache --exclude=config.status --exclude=config.h --exclude='*.log' --exclude=CVS --exclude=.cvsignore --exclude=.DS_Store ../kinput2-v3.1.org/Kinput2.conf ./Kinput2.conf
--- ../kinput2-v3.1.org/Kinput2.conf	2009-06-24 08:08:43.000000000 +0900
+++ ./Kinput2.conf	2009-06-23 20:17:39.000000000 +0900
@@ -15,12 +15,12 @@
  **	command line option.
  **/
 
-/* #define UseWnn */	/* define if you are going to use Wnn (v4, v6 or v7) */
+#define UseWnn	/* define if you are going to use Wnn (v4, v6 or v7) */
 /* #define UseWnn6 */	/* define if you are going to use Wnn6 or above */
-/* #define UseCanna */	/* define if you are going to use Canna */
+#define UseCanna	/* define if you are going to use Canna */
 /* #define UseSj3 */	/* define if you are going to use Sj3 */
 /* #define UseAtok */	/* define if you are going to use Atok */
-#define UseMacIM		/* define if you are going to use MacIM */
+#define UseMacIM		/* define if you are going to use MacIM */
 
 
 XCOMM Wnn configuration
@@ -35,7 +35,7 @@
  * You have to define WnnLibDir if Wnn4 configuration files
  * are not installed in /usr/local/lib/wnn (which is the default).
  */
-/* #define WnnLibDir /some/peculiar/directory/wnn */
+#define WnnLibDir /opt/local/lib/wnn
 
 /* for convenience.. */
 #if defined(UseWnn6) && !defined(UseWnn)
@@ -53,17 +53,17 @@
  * WnnLibDir above.
  */
 XCOMM use installed header files
-XCOMM WNNINCDIR = /usr/X11R6/include/wnn
+WNNINCDIR = /opt/local/include/wnn
 XCOMM use installed library
-XCOMM WNNLIB = -lwnn
+WNNLIB = -L/opt/local/lib -lwnn
 
 /*
  * Or, use library in the source tree..
  */
 XCOMM use library in the source tree
-WNNSRC = $(CONTRIBSRC)/programs/Xsi/Wnn
-WNNINCDIR = $(WNNSRC)/include
-WNNLIB = $(WNNSRC)/jlib/libwnn.a
+XCOMM WNNSRC = $(CONTRIBSRC)/programs/Xsi/Wnn
+XCOMM WNNINCDIR = $(WNNSRC)/include
+XCOMM WNNLIB = $(WNNSRC)/jlib/libwnn.a
 
 
 XCOMM Canna configuration
@@ -79,17 +79,17 @@
  * If you have already installed Canna header files and libraries..
  */
 XCOMM use installed headers/libraries
-XCOMM CANNAINSTDIR = /usr/local/canna
-XCOMM CANNASRC = $(CANNAINSTDIR)/include
-XCOMM CANNALIB = -lcanna16
+CANNAINSTDIR = /opt/local/canna
+CANNASRC = $(CANNAINSTDIR)/include
+CANNALIB = -L$(CANNAINSTDIR)/lib -lcanna16
 
 /*
  * If you have compiled Canna that came with X11R6 (contrib/programs/Canna),
  * but not installed yet..
  */
 XCOMM use headers/libraries in the source tree
-CANNASRC = $(CONTRIBSRC)/programs/Canna32
-CANNALIB = -L$(CANNASRC)/lib/canna16 -lcanna16
+XCOMM CANNASRC = $(CONTRIBSRC)/programs/Canna32
+XCOMM CANNALIB = -L$(CANNASRC)/lib/canna16 -lcanna16
 
 
 XCOMM SJ3 configuration
@@ -111,15 +111,15 @@
  */
 XCOMM use installed header/library
 XCOMM specify the directory where libsj3.h resides as SJ3SRC.
-XCOMM SJ3SRC = /usr/local/include
-XCOMM SJ3LIB = -lsj3lib
+SJ3SRC = /opt/local/include
+SJ3LIB = -L/opt/local/lib -lsj3lib
 
 /*
  * Use compiled library in the source tree..
  */
 XCOMM use library in the source tree
-SJ3SRC = $(CONTRIBSRC)/programs/sj3
-SJ3LIB = $(SJ3SRC)/sj3lib/libsj3lib.a
+XCOMM SJ3SRC = $(CONTRIBSRC)/programs/sj3
+XCOMM SJ3LIB = $(SJ3SRC)/sj3lib/libsj3lib.a
 
 
 XCOMM Atok configuration
diff -uN -r --exclude=Makefile --exclude='*.exe' --exclude='*.o' --exclude='*.a' --exclude='*.Plo' --exclude='*~' --exclude='*.org' --exclude='*.orig' --exclude='*.bak' --exclude='*.rej' --exclude=config.cache --exclude=config.status --exclude=config.h --exclude='*.log' --exclude=CVS --exclude=.cvsignore --exclude=.DS_Store ../kinput2-v3.1.org/lib/wnnlib.c ./lib/wnnlib.c
--- ../kinput2-v3.1.org/lib/wnnlib.c	2002-10-03 18:35:28.000000000 +0900
+++ ./lib/wnnlib.c	2009-06-23 20:15:54.000000000 +0900
@@ -1367,7 +1367,7 @@
 
 	/* $BJQ49J8;zNs$ND9$5$N%A%'%C%/(B */
 	clp = buf->clauseInfo + cl;
-	len = jl_kanji_len(buf->wnn, cl);
+	len = jl_kanji_len(buf->wnn, cl, 0);
 	diff = len - ((clp + 1)->dispp - clp->dispp);
 	newlen = (buf->displayEnd - buf->displayBuf) + diff;
 	if (newlen > buf->bufferSize) {
